package com.jw.app.business;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Service;

import com.gaowj.business.exception.BusinessException;
import com.gaowj.business.util.Page;

@Service
public interface UserTestBusiness {
	//List<Map<String, Object>> list_userid_order(Map<String, Object> query);
	
    int listCount_usertest(Map<String, Object> query)throws BusinessException;
	
	Page<Map<String, Object>> list_usertest(int pageNo, int pageSize, Map<String, Object> query) throws BusinessException;

	List<Map<String, Object>> list_usertest(Map<String, Object> query);

	String list_test_unit(String uuid) throws BusinessException;

	void insert_user(Map<String,Object> entity) throws BusinessException ;
	
	void delete_user(List<String> list)throws BusinessException;

	void update_user(Map<String,Object> entity) throws BusinessException ;
	
	List<Map<String, Object>> selectAllUser() throws BusinessException;
	
	//List<Map<String, Object>> selectUnitTest() throws BusinessException;
}
